public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Stefan Strogin" <steils@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/backintime/files/, app-backup/backintime/
Date: Wed, 31 Jul 2024 13:44:06 +0000 (UTC)	[thread overview]
Message-ID: <1722433404.5347b8230a4cfb42eddd29b9e3a626fc6f53061c.steils@gentoo> (raw)

commit:     5347b8230a4cfb42eddd29b9e3a626fc6f53061c
Author:     Stefan Strogin <steils <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 17:56:16 2024 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 13:43:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5347b823

app-backup/backintime: add 1.5.1

Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 app-backup/backintime/Manifest                     |   1 +
 app-backup/backintime/backintime-1.5.1.ebuild      | 108 +++++++++++++++++++
 ...ackintime-1.5.1-no-compress-docs-examples.patch | 119 +++++++++++++++++++++
 3 files changed, 228 insertions(+)

diff --git a/app-backup/backintime/Manifest b/app-backup/backintime/Manifest
index 1fc3565c4733..6219bac26625 100644
--- a/app-backup/backintime/Manifest
+++ b/app-backup/backintime/Manifest
@@ -1,2 +1,3 @@
 DIST backintime-1.3.3.tar.gz 751422 BLAKE2B 5c6723d1b190c5331b8453d4cf2b14e00a4bb64777d73e3b2a1405be51ebc5418f749fca654032154f1cec2389efcd41e52c571c1f9f1f982bbd0adcb0b7dd59 SHA512 f91157133166869665c8d7475c870cd5418135e17f5e7c8ae5788eb8cd3be39e8ea3d7652aa5945f64d9906b6baed0ed3ee16eb46b81a088210459333efe9372
 DIST backintime-1.4.3.tar.gz 1900866 BLAKE2B ee9f389a7995e0ca059dab7f94ce59b2a0285bc213ffa2fcdc2d3ed2b9920762c16beb0c2d961ac922837c55fa30e1ce27a9de26c6ad0e879f5c70e876644298 SHA512 d5470590d9807c5f4c1c6f46062465ecac9432831f15d1948a95b3f7ba06015939eb292bbb53d2f039ef9e967a93b6bea0e08b928a009370995d0cc2db1f7fdf
+DIST backintime-1.5.1.tar.gz 2009248 BLAKE2B 5136b4c59f5d9e4d8e79b9e004ca666caf494d8613697a6a3ab1c9c31b42cbdcce832f821dc98adda624423101d15c787e730922da479bb7ae657cbf87375ad2 SHA512 3c629a49c5eb2e740dfdebd49d8b04cae6a15a1602a68429097d62e652c6fe18b5fdeb45460456c157a1e148cca30a220ccd4decadf7836487ba8c03f075e294

diff --git a/app-backup/backintime/backintime-1.5.1.ebuild b/app-backup/backintime/backintime-1.5.1.ebuild
new file mode 100644
index 000000000000..f0d3b8d77be9
--- /dev/null
+++ b/app-backup/backintime/backintime-1.5.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit python-single-r1 xdg
+
+DESCRIPTION="Backup system inspired by TimeVault and FlyBack"
+HOMEPAGE="https://backintime.readthedocs.io/en/latest/ https://github.com/bit-team/backintime/"
+
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/bit-team/backintime/"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/bit-team/${PN}/releases/download/v${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="examples gui test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	$(python_gen_cond_dep '
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/keyring[${PYTHON_USEDEP}]
+		dev-python/packaging[${PYTHON_USEDEP}]
+	')
+"
+RDEPEND="
+	${DEPEND}
+	virtual/openssh
+	net-misc/rsync[xattr,acl]
+	gui? ( dev-python/PyQt6[gui,widgets] )
+"
+BDEPEND="
+	sys-devel/gettext
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/pyfakefs[${PYTHON_USEDEP}]
+		')
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.5.1-no-compress-docs-examples.patch"
+)
+
+src_prepare() {
+	default
+
+	# Looks at host system too much, so too flaky
+	rm common/test/test_tools.py || die
+	# Fails with dbus/udev issue (likely sandbox)
+	rm common/test/test_snapshots.py || die
+}
+
+src_configure() {
+	# TODO: Review https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#dependencies
+	# for deps (some may be optfeatures).
+	pushd common > /dev/null || die
+	# Not autotools
+	./configure --python="${PYTHON}" --no-fuse-group || die
+	popd > /dev/null || die
+
+	if use gui ; then
+		pushd qt > /dev/null || die
+		./configure --python="${PYTHON}" || die
+		popd > /dev/null || die
+	fi
+}
+
+src_compile() {
+	emake -C common
+
+	if use gui ; then
+		emake -C qt
+	fi
+}
+
+src_test() {
+	# pytest should work but it can't find the backintime binary, so
+	# use the unittest-based runner instead.
+	# https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#how-to-contribute-to-back-in-time
+	emake -C common test-v
+}
+
+src_install() {
+	emake -C common DESTDIR="${D}" install
+
+	if use gui ; then
+		emake -C qt DESTDIR="${D}" install
+	fi
+
+	einstalldocs
+
+	if use examples ; then
+		docinto examples
+		dodoc common/{config-example-local,config-example-ssh}
+	fi
+
+	python_optimize "${D}"
+}

diff --git a/app-backup/backintime/files/backintime-1.5.1-no-compress-docs-examples.patch b/app-backup/backintime/files/backintime-1.5.1-no-compress-docs-examples.patch
new file mode 100644
index 000000000000..f7c56fd1e5bf
--- /dev/null
+++ b/app-backup/backintime/files/backintime-1.5.1-no-compress-docs-examples.patch
@@ -0,0 +1,119 @@
+diff --git a/common/configure b/common/configure
+index a750fd03..baf216b1 100755
+--- a/common/configure
++++ b/common/configure
+@@ -161,7 +161,7 @@ printf "DEST=\$(DESTDIR)\$(PREFIX)\n\n" >> ${MAKEFILE}
+ 
+ printf "all:\tbuild\n\n" >> ${MAKEFILE}
+ 
+-printf "build:\ttranslate compress\n" >> ${MAKEFILE}
++printf "build:\ttranslate\n" >> ${MAKEFILE}
+ 
+ printf "clean:\n" >> ${MAKEFILE}
+ printf "\trm -f po/*.mo\n" >> ${MAKEFILE}
+@@ -192,28 +192,11 @@ addInstallFiles "plugins/*.py" "/share/backintime/plugins"
+ addUninstallDir                "/share/backintime"
+ addNewline
+ 
+-addComment "documentation"
+-addInstallDir                        "/share/doc/backintime-common"
+-addInstallFile "../AUTHORS"          "/share/doc/backintime-common"
+-addInstallFile "../LICENSE"          "/share/doc/backintime-common"
+-addInstallFile "../README.md"        "/share/doc/backintime-common"
+-addInstallFile "../TRANSLATIONS"     "/share/doc/backintime-common"
+-addInstallFile "../CHANGES"          "/share/doc/backintime-common"
+-addNewline
+-
+-addComment "config-examples"
+-addInstallDir                            "/share/doc/backintime-common/examples"
+-addInstallFile "config-example-local.gz" "/share/doc/backintime-common/examples"
+-addInstallFile "config-example-ssh.gz"   "/share/doc/backintime-common/examples"
+-addUninstallDir                          "/share/doc/backintime-common"
+-addUninstallDir                          "/share/doc"
+-addNewline
+-
+ addComment "man"
+ addInstallDir                                  "/share/man/man1"
+-addInstallFile "man/C/backintime.1.gz"         "/share/man/man1"
+-addInstallFile "man/C/backintime-askpass.1.gz" "/share/man/man1"
+-addInstallFile "man/C/backintime-config.1.gz"  "/share/man/man1"
++addInstallFile "man/C/backintime.1"         "/share/man/man1"
++addInstallFile "man/C/backintime-askpass.1" "/share/man/man1"
++addInstallFile "man/C/backintime-config.1"  "/share/man/man1"
+ addUninstallDir                                "/share/man"
+ addNewline
+ 
+@@ -237,15 +220,6 @@ addSymlink      "backintime"        "/share/bash-completion/completions/backinti
+ addUninstallDir                     "/share/bash-completion"
+ addNewline
+ 
+-#compress
+-printf "compress:\n" >> ${MAKEFILE}
+-printf "\t# Man pages\n" >> ${MAKEFILE}
+-printf "\tfor i in \$\$(ls -1 man/C/); do case \$\$i in *.gz|*~) continue;; *) gzip -n --best -c man/C/\$\$i > man/C/\$\${i}.gz;; esac; done\n\n" >> ${MAKEFILE}
+-
+-printf "\t# Config-examples\n" >> ${MAKEFILE}
+-printf "\tgzip -n --best -c config-example-local > config-example-local.gz\n" >> ${MAKEFILE}
+-printf "\tgzip -n --best -c config-example-ssh > config-example-ssh.gz\n\n" >> ${MAKEFILE}
+-
+ #translate
+ printf "translate:\t$mos\n\n" >> ${MAKEFILE}
+ 
+diff --git a/qt/configure b/qt/configure
+index b2044754..12741123 100755
+--- a/qt/configure
++++ b/qt/configure
+@@ -138,7 +138,7 @@ printf "DEST=\$(DESTDIR)\$(PREFIX)\n\n" >> ${MAKEFILE}
+ 
+ printf "all:\tbuild\n\n" >> ${MAKEFILE}
+ 
+-printf "build:\tcompress\n\n" >> ${MAKEFILE}
++printf "build:\n\n" >> ${MAKEFILE}
+ 
+ printf "clean:\n" >> ${MAKEFILE}
+ printf "\trm -f po/*.mo\n" >> ${MAKEFILE}
+@@ -149,7 +149,6 @@ printf "install:\n" >> ${MAKEFILE}
+ 
+ # Migration
+ printf "\t# Clean-up installed old files that were renamed or moved in later BiT versions\n" >> ${MAKEFILE}
+-printf "\trm -f \$(DEST)/etc/dbus-1/system.d/net.launchpad.backintime.serviceHelper.conf\n" >> ${MAKEFILE}
+ printf "\trm -f \$(DEST)/share/backintime/plugins/qt4plugin.py\n" >> ${MAKEFILE}
+ addNewline
+ 
+@@ -199,15 +198,6 @@ addInstallFiles "net.launchpad.backintime*.policy" "/share/polkit-1/actions"
+ addUninstallDir                                    "/share/polkit-1"
+ addNewline
+ 
+-addComment "documentation"
+-addInstallDir                        "/share/doc/backintime-qt"
+-addInstallFile "../AUTHORS"          "/share/doc/backintime-qt"
+-addInstallFile "../LICENSE"          "/share/doc/backintime-qt"
+-addInstallFile "../README.md"        "/share/doc/backintime-qt"
+-addInstallFile "../TRANSLATIONS"     "/share/doc/backintime-qt"
+-addInstallFile "../CHANGES"          "/share/doc/backintime-qt"
+-addNewline
+-
+ addComment ".desktop"
+ addInstallDir               "/share/applications"
+ addInstallFiles "*.desktop" "/share/applications"
+@@ -215,7 +205,7 @@ addNewline
+ 
+ addComment "man"
+ addInstallDir    "/share/man/man1"
+-addInstallFile   "man/C/backintime-qt.1.gz" "/share/man/man1"
++addInstallFile   "man/C/backintime-qt.1" "/share/man/man1"
+ addUninstallDir  "/share/man"
+ addNewline
+ 
+@@ -230,11 +220,6 @@ addUninstallDir                                             "/share/icons"
+ addUninstallDir                                             "/share"
+ addNewline
+ 
+-#compress
+-printf "compress:\n" >> ${MAKEFILE}
+-printf "\t# Man pages\n" >> ${MAKEFILE}
+-printf "\tfor i in \$\$(ls -1 man/C/); do case \$\$i in *.gz|*~) continue;; *) gzip -n --best -c man/C/\$\$i > man/C/\$\${i}.gz;; esac; done\n\n" >> ${MAKEFILE}
+-
+ # Uninstall
+ printf "uninstall: uninstall_files uninstall_dirs\n\n" >> ${MAKEFILE}
+ printf "uninstall_files:\n" >> ${MAKEFILE}


             reply	other threads:[~2024-07-31 13:44 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-31 13:44 Stefan Strogin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-25 13:27 [gentoo-commits] repo/gentoo:master commit in: app-backup/backintime/files/, app-backup/backintime/ Andreas Sturmlechner
2016-01-08 11:13 Michael Weber
2015-11-09  9:19 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1722433404.5347b8230a4cfb42eddd29b9e3a626fc6f53061c.steils@gentoo \
    --to=steils@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox